Subject: Re: dllwrap and excluded symbols
From: Tim Reed <[email-masked]>
To: DJ Delorie <[email-masked]>
Cc: [email-masked]
Date: Tue, 10 Oct 2000 14:15:19 -0700 (PDT)

Regular mingw programs do work, oddly enough.

This really has me stumped because it seems to work fine in Win98 and
users of my software have had no problems in WinNT either.

It just seems weird that mingw programs will load everything just fine but
a mingw dll will not. And only in Win2k.

I'm I right in guessing this is first time someone's had this problem?

On Tue, 10 Oct 2000, DJ Delorie wrote:

> 
> > Using Taskinfo2000 and a debugger I've noticed that the dll just
> > doesn't load in the C runtime dlls in Win2k. Consequently, when that
> > dll makes a call to malloc I get a Memory Access Violation since the
> > symbol wasn't resolved to a valid address.
> 
> Sounds like a bug.  Do regular mingw programs work?
> 
> > Would you recommend that I write an entry point that just calls
> > LoadLibrary on the needed dlls?
> 
> No, the import tables are supposed to just work.
> 
> > I realize you might not know the inner workings of mingw, but do you
> > know where I get this kind of info?
> 
> www.mingw.org
> 
> But, -mno-cygwin isn't quite the same as mingw - it uses the copy of
> the mingw runtime inside the cygwin package.
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]